> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /euipo/trademarks/search

> Search EU trademarks by name with optional filters

**Price:** 1 credit per 10 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/euipo/trademarks/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/euipo/trademarks/search:
    post:
      tags:
        - /euipo
      summary: /euipo/trademarks/search
      description: |-
        Search EU trademarks by name with optional filters

        **Price:** 1 credit per 10 results
      operationId: __api_euipo_trademarks_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EuipoTrademarkSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EuipoSearchTrademark'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EuipoTrademarkSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        office:
          $ref: '#/components/schemas/EuipoOffice'
          default: EM
        nice_classes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/EuipoTrademarkStatus'
            - type: 'null'
        tm_type:
          anyOf:
            - $ref: '#/components/schemas/EuipoTrademarkType'
            - type: 'null'
      type: object
      required:
        - keyword
        - count
    EuipoSearchTrademark:
      properties:
        '@type':
          type: string
          default: EuipoSearchTrademark
        st13:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        office:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        mark_type:
          anyOf:
            - type: string
            - type: 'null'
        nice_classes:
          items:
            type: integer
          type: array
          default: []
        applicant_names:
          items:
            type: string
          type: array
          default: []
        application_date:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        office_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - st13
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    EuipoOffice:
      type: string
      enum:
        - EM
        - WO
        - AL
        - AP
        - AR
        - AT
        - AU
        - BA
        - BG
        - BN
        - BR
        - BX
        - BZ
        - CA
        - CH
        - CL
        - CN
        - CO
        - CR
        - CU
        - CY
        - CZ
        - DE
        - DK
        - DO
        - EE
        - EG
        - ES
        - FI
        - FR
        - GB
        - GE
        - GR
        - HR
        - HU
        - IE
        - IL
        - IN
        - IS
        - IT
        - JO
        - JP
        - KH
        - KR
        - LA
        - LI
        - LT
        - LV
        - MA
        - MC
        - MD
        - ME
        - MK
        - MT
        - MX
        - MY
        - 'NO'
        - NZ
        - OA
        - PE
        - PH
        - PL
        - PT
        - PY
        - RO
        - RS
        - RU
        - SE
        - SI
        - SK
        - TH
        - TN
        - TR
        - TT
        - UA
        - UG
        - US
        - UY
        - VN
        - ZM
    EuipoTrademarkStatus:
      type: string
      enum:
        - Registered
        - Filed
        - Ended
        - Expired
    EuipoTrademarkType:
      type: string
      enum:
        - Word
        - Figurative
        - Combined
        - 3-D
        - Sound
        - Colour
        - Combination of colours
        - Hologram
        - Motion
        - Multimedia
        - Pattern
        - Position
        - Stylized characters
        - General mark
        - Other
        - Undefined
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````